<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 钱包支付记录
 */
class WalletPaymentRecord extends Model
{
	use SoftDeletes;

	protected $table = 'wallet_payment_records';

    /**
     * @Author FelixYin
     * @description 支付记录所属交易
     */
    public function trans()
    {
        return $this->belongsTo('App\Models\WalletTransRecord', 'trans_record_id');
    }

    /**
     * @Author FelixYin
     * @description 支付记录所属钱包
     */
    public function wallet()
    {
        return $this->belongsTo('App\Models\Wallet', 'wallet_id');
    }
}